From 94cf7f0da3e8b2a7436d1fa065fcc3e0878091b1 Mon Sep 17 00:00:00 2001
From: kappen <kappen@hotmail.com>
Date: Wed, 26 Feb 2014 12:53:29 +0100
Subject: [PATCH] If hls url is absolut e.g starts with / then we should not
 add an extra / when constucting the url

---
 modules/stream_filter/httplive.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/modules/stream_filter/httplive.c b/modules/stream_filter/httplive.c
index e763456..1ad282d 100644
--- a/modules/stream_filter/httplive.c
+++ b/modules/stream_filter/httplive.c
@@ -587,6 +587,10 @@ static char *relative_URI(const char *psz_url, const char *psz_path)
         if (unlikely(slash == NULL))
             goto end;
         *slash = '\0';
+
+	if (asprintf(&ret, "%s%s", new_url, psz_path) < 0)
+	    ret = NULL;
+
     } else {
         int levels = 0;
         while(len >= 3 && !strncmp(psz_path, "../", 3)) {
@@ -600,10 +604,10 @@ static char *relative_URI(const char *psz_url, const char *psz_path)
                 goto end;
             *slash = '\0';
         } while (levels--);
-    }
 
-    if (asprintf(&ret, "%s/%s", new_url, psz_path) < 0)
-        ret = NULL;
+	if (asprintf(&ret, "%s/%s", new_url, psz_path) < 0)
+	    ret = NULL;
+    }
 
 end:
     free(new_url);
-- 
1.8.3.2

